Bug 437514 - virt-manager needs to trim input text
virt-manager needs to trim input text
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks: 449772
  Show dependency treegraph
 
Reported: 2008-03-14 13:19 EDT by Paul Batkowski
Modified: 2009-12-14 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:20:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch to trim input text for installation media and kickstart url (1.04 KB, patch)
2008-03-14 13:19 EDT, Paul Batkowski
no flags Details | Diff

  None (edit)
Description Paul Batkowski 2008-03-14 13:19:57 EDT
Description of problem:

Virt-manager does not trim the input text for the installation location or
kickstart location. When specifying an install location that contains a " "
(space) before the url, virt-manager detects it as an incorrect location and
fails to allow the user to proceed. This text should be trimmed of whitespace
before and after.

Version-Release number of selected component (if applicable):

virt-manager-0.5.3-4.el5

How reproducible:

Always

Steps to Reproduce:
1. Input the following installation location: "
http://satellite.example.com/kickstart/ks/label/rhel51-x86_64-base"
2. Note the " " whitespace in front of the URL.
  
Actual results:

Virt-manager complains with error message stating:

"""Kickstart URL Error

Kickstart location must be an NFS, HTTP or FTP source"""

Same is true for the Installation Location URL.

Expected results:

virt-manager trims the input text.

Additional info:

Attaching a simple proposed patch.
Comment 1 Paul Batkowski 2008-03-14 13:19:57 EDT
Created attachment 298072 [details]
proposed patch to trim input text for installation media and kickstart url
Comment 2 Cole Robinson 2008-04-08 17:01:41 EDT
Hi, I've committed this upstream:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=4469eb7b8f26

But its not high enough priority to pull it into 5.2 at this stage. We can
certainly pull it in for 5.3 though. Thanks!
Comment 4 RHEL Product and Program Management 2008-06-23 21:32:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Cole Robinson 2008-09-15 12:06:11 EDT
Okay, this should be fixed in virt-manager-0.5.3-9.el5. Setting bug to MODIFIED.
Comment 8 errata-xmlrpc 2009-01-20 16:20:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0137.html

Note You need to log in before you can comment on or make changes to this bug.